-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2014. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT

SET CURRENT SCHEMA = @SCHEMA@;

CREATE TABLE FNGCD (epoch_id integer  NOT NULL, gcd_blob blob(1G)  NOT NULL, modify_date timestamp  NOT NULL, last_epoch_id integer  ) IN DATABASE @DB_NAME@;
CREATE UNIQUE INDEX I_FNGCD01 ON FNGCD (epoch_id DESC)   USING STOGROUP @STOGRP@ PRIQTY 10 SECQTY 5;

CREATE TABLE FNGCD_ADDON (object_id varchar(16) for bit data  NOT NULL PRIMARY KEY, creator vargraphic(80)  ,create_date timestamp  ,modify_user vargraphic(80)  ,modify_date timestamp  ,xml_manifest dbclob(512M)  , pre_import_script dbclob(512M)  , post_import_script dbclob(512M)  ) IN DATABASE @DB_NAME@;

CREATE TABLE FNGCD_CESERVERS (server_instance_id varchar(16) for bit data  NOT NULL PRIMARY KEY, site_id varchar(16) for bit data , last_alive_time timestamp , dbg_name vargraphic(250) ) IN DATABASE @DB_NAME@;
CREATE INDEX I_FNGCD_CESVRS01 ON FNGCD_CESERVERS (site_id ASC)   USING STOGROUP @STOGRP@ PRIQTY 10 SECQTY 5;

CREATE TABLE FNGCD_OSCBROWNERS (object_store_id varchar(16) for bit data  NOT NULL PRIMARY KEY, site_id varchar(16) for bit data , server_instance_id varchar(16) for bit data , dbg_name vargraphic(250) ) IN DATABASE @DB_NAME@;
CREATE INDEX I_FNGCD_OSCBROWN01 ON FNGCD_OSCBROWNERS (site_id ASC)   USING STOGROUP @STOGRP@ PRIQTY 10 SECQTY 5;
CREATE INDEX I_FNGCD_OSCBROWN02 ON FNGCD_OSCBROWNERS (server_instance_id ASC)   USING STOGROUP @STOGRP@ PRIQTY 10 SECQTY 5;
